Cette page n’est pas encore traduite en français : elle est affichée en anglais.
Get Workflows Launches Summary
This returns the list of launches of a particular Workflow. You can filter the launches by type, status, launch time, and Bot Runner IDs. The output list contains the last 1000 launches.
gethttps://api.{region}.electroneek.com/v1/orchestrator/workflow/{id}/launches
Valeurs possibles de {region} : na, cis, apac, latam, emea
Essayer
Paramètres de chemin
Paramètres de requête
Renseignez id pour envoyer cette requête.
cURL
curl --request GET \
--url 'https://api.na.electroneek.com/v1/orchestrator/workflow/{id}/launches'Authentification
Utilisez un token API de la page Orchestrateur → Intégrations. Envoyez-le comme jeton bearer : Authorization: Bearer <token>.
Paramètres de chemin
| Nom | Type | Obligatoire | Description |
|---|---|---|---|
id | string | oui | Workflow ID |
Paramètres de requête
| Nom | Type | Obligatoire | Description |
|---|---|---|---|
type | string (manual, webhook, schedule, zapier, api) | non | |
status | string (stopped, in-queue, cancelled, forced-stop, in-progress, completed-with-error, completed-successfully) | non | |
started_from | date-time | non | |
started_to | date-time | non | |
completed_from | date-time | non | |
completed_to | date-time | non | |
runner_ids | array of string | non |
Réponse
200Success
Corps de la réponse
object
listarray of objectsobject
iduuidobligatoiretypestring (manual, webhook, schedule, zapier, api)obligatoirestatusstring (in-progress, completed-successfully, completed-with-error)obligatoirestarted_atdate-timeobligatoireoutput_dataobjectThis returns all the Global Variables that were selected as Output while building the workflow in Studio Pro.
completed_atdate-timeobligatoirelogs_enabledbooleanobligatoireconsole_logs_enabledbooleanobligatoireWhether console logs were collected for this launch.
account_emailstringobligatoirerunner_idstringMis à jour